moteurs pap ne tournent pas

unimat sl
Nouveau
13 Décembre 2016
6
Pontault Combault
  • Auteur de la discussion
  • #1
Bonjour,
il m'a été donné une carte mega 2560, +carte ramps v 1.4 et des moteurs nema 17 sans référence.
j'ai acheté des pilotes A4988, enfichés sur la ramps, réglés au voltmetre comme préconisé à 0.48v en réglant le potentiometre.
j'ai transformé l'exemple contenu dans le logiciel Cambam 8 en fichier .nc.
l'ai ouvert dans Le logiciel de Candle 1.0.11 et envoyer le démarrage. le travail de simulation outil se fait bien à l'écran
les moteurs pap ne bougent pas. Que faire?
 
Dernière édition:
Hubert86
Ouvrier
29 Novembre 2017
416
Bonjour,
Oui candle c'est bien mais il te manque le grbl, que tu dois installer dans ton arduino pas la v0.9 qui ne fonctionne qu'avec l'uno mais la vers1 et supérieure.
De plus pour le réglage c'est pas une tension que tu règle mais un courant, donc utilise un ampèremètre. Pour les miens j'ai procédé de cette manière, réglage au mini, le moteur broute, je règle jusqu'a ce qu'il tourne correctement, et je ne m'en plains pas. Tu alimente tes moteurs en qu'elle tension? pour des nema 17 12V ça va.
 
unimat sl
Nouveau
13 Décembre 2016
6
Pontault Combault
  • Auteur de la discussion
  • #3
Bonjour, merci de vous intéresser à mon manque de connaissance.
j'ai mis à jour Ardino avec grbl 1.1 mais quand je charge le fichier .nc pas de démarrage de Candle, et message "le port s'est ouvert"(voir l'image écran jointe). également,la carte ramps, pour le coup, n'a plus de led allumée lors du branchement.
l'alimentation est du 12v.

candle-1.jpg
 
Silvood
Nouveau
20 Juillet 2017
8
73800
[Edit] Ce post est un peu indigeste à la lecture, je m'en excuse. Pour synthétiser et éviter un TLDR (Too Long, Didn't Read), je dirais juste que la configuration des sorties entre grbl et la ramps n'est pas bonne, et qu'i faut bien utiliser le grbl mega [/edit]

Salut,

Tu viens de tomber dans mon domaine favoris: l'électronique de commande DIY!
J'ai beaucoup touché à ces petites bestioles ces 4/5 dernières années, notamment: mega2560+ramps1.4+firmware marlin pour imprimante 3D, et un peu de uno+cnc shield+grbl. Je vais essayer de synthétiser mes connaissances sur ton problème technique ^^

L'ensemble ne peut fonctionner sans comprendre individuellement chaque éléments et ce avec quoi il interagit.
arduino (uno ou mega): c'est l'interpréteur du Gcode envoyé par le pc (grâce au firmware, dans les cas cités, marlin ou grbl)
cnc shield/ramps1.4: rien d'autre qu'une carte d'interface pour faciliter le câblage
a4988: le driver du moteur pas à pas.

Si on prends le cas de ta configuration matériel, on est pas sur une solution standard.
Grbl (https://github.com/gnea/grbl) est à a base conçu pour un arduino uno. La communauté a ensuite créée le cncshield pour faciliter le câblage de l'arduino qui serait en grbl. Il existe cependant un fork de grbl conçu pour les arduino Mega (https://github.com/gnea/grbl-Mega). Attention cependant, il n'est pas forcément identique au grbl pour arduino uno.
Mais attention, ce grbl-mega n'utilise pas les mêmes connexions que celui de uno (https://github.com/gnea/grbl-Mega/wiki/Connecting-Grbl-Mega)
Il faut donc vérifier que le ramps1.4 utilise bien les mêmes connectiques pour le contrôle du moteur, ce qui n'est malheureusement pas le cas (http://reprap.org/wiki/RAMPS_1.4#Firmware_and_Pin_Assignments). Ainsi, il te faudra modifier le config.h de ton grbl-mega pour adapter les sorties de l'arduino à ta carte ramps.

Une fois ceci fait, tu devrais pouvoir faire réagir les drivers. malheureusement, ces derniers n'ont pas de leds, le seul moyen de vérifier que ça marche est avec un moteur.
Supposant que tu a bien un moteur pap à 4 fils (sinon on peut normalement le convertir en 4fils au besoin), il faut d'abord vérifier le câblage de ce dernier. Sur la connectique du moteur que tu branche au ramps, il faut que les 2 fis de chaque bobine soit côte à côte. (http://reprap.org/wiki/Stepper_wiring)
Une fois ceci fait, passons au drivers: en premier lieu, pour des essais préliminaires, je te conseille de passer en mode pas entier: c'est à dire d'enlever les cavaliers des borniers qui sont en dessous des drivers. Une fois fait, ne reste que le réglage du courant: sans référence moteur, dur de faire quoi ce soit: ta méthode fonctionne pour une première approche, mais nécessitera surement quelques ajustements à terme pour affiner le réglage de courant et tirer le meilleur du moteur :)

Voilà pour des explications préliminaires, hésites pas si tu as des questions :)

Nota: je te conseille Universal GCode Sender pour les essais avec grbl (https://github.com/winder/Universal-G-Code-Sender)
 
jpbbricole
Compagnon
26 Mai 2016
1 961
Corsier-sur-Vevey (Vaud)
Bonjour unimat sl
i mis à jour Ardino avec grbl 1.1
Si tu as mis GRBL 1.1, tu dois prendre la dernière version de Candle 1.1.7, la 1.0.11 est compatible jusqu'à GRBL 0.9x.
Les touches de direction des axes sont grisés ce qui signifie que ou le port de communication n'est pas le bon ou que le dialogue avec GRBL ne s'est pas effectué correctement.

Cordialement
jpbbricole
 
Hubert86
Ouvrier
29 Novembre 2017
416
Ou alors Universal Gcode Sender, il communique avec l'arduino et le gcode Ver1.X je l'ai essayé, j'ai abandonné car les E/S avec le mega 2560 ne sont pas compatible avec mon shlied
 
unimat sl
Nouveau
13 Décembre 2016
6
Pontault Combault
  • Auteur de la discussion
  • #7
Bonjour à tous,
j'ai chargé grbl 1.1f ( contenu dansgrbl-Mega-edge) . Au lancement deCandle_1.1.7 et le fichier exemple.nc, les codes G81 et G 64 affiche une erreur, que je joins.

335718-c4fd7156c8f4cf51803c1edfb5220d90.jpg

Même un autre fichier .nc ne fait pas bouger les moteurs pap. Peut être qu'il faut un firmware arduino compatible avec la version de la carte mega 2560. voici le modèle que j'ai , CI ATMEGA2560 16AU 1604 . elle ne ressemble pas aux V3 qu'on voit sur les sites vendeurs.
mega 2560 + Ramps v 1.4 : au branchement de la prise usb,la led de communication au pc s'allume fixe sur la ramps. sur "démarrer" (dans Candle) , elle s'éteint. sur "pause", elle s'allume fixe. les moteurs ne bougent pas.
essai fait aussi avec grbl contoller et Universal G-code sender.
L'un de vous a une idée ?
335721-6e7231337287d13e245c1ba6a803fbf3.jpg


 
Fichiers joints
jpbbricole
Compagnon
26 Mai 2016
1 961
Corsier-sur-Vevey (Vaud)
Bonjour unimat sl
les codes G81 et G 64 affiche une erreur
GRBL, selon cette liste (en bas de page), ne supporte pas le code G81, l'erreur sur le moniteur est:

G81 X13.23581 Y55.426635 Z-2 R3 F100 < error: Unsupported command

Quel programme utilises-tu pour générer le code?

Pour les moteurs qui ne bougent pas, je regarde.

Cordialement
jpbbricole
 
Hubert86
Ouvrier
29 Novembre 2017
416
C'est la raison pour laquelle je suis resté à la ver 0.9, pour le moment, si tu garde l'arduino 2560 adapte le câblage des E/S.
De plus avant de lancer un programme, essaye en manuel avec les flèches, mais avant débloque (le cadenas),
si dans les paramètres du grbl, l'origine est validé, car tu dois aussi paramétrer le grbl. De plus G81 n'est pas reconnu par le grbl.
Grbl est un Gcode basique c'est pas match, ou linuxcnc.
Tout ça semble complexe, mais en procédant étape par étape ça va tout seul, ne pas mettre la charrue avant les bœufs.
 
unimat sl
Nouveau
13 Décembre 2016
6
Pontault Combault
Bonjour jpbbricole, j'ai utilisé Cambam v8 (gratuit) pour faire mon 1er essai. je trouve cambam clair à utiliser. j'ai utilisé Candle pour démarrer l'envoi du fichier.nc, mais les moteurs restent inertes. Il est dommage que Arduino n'est pas pensé à l'utilisation pour cnc fraiseuse. effectivement, je vois que certains g-codes ne font pas partie de grbl. comment faire pour ne plus les avoir lors de la lecture du fichier.nc ? changer de générateur de g-code?
 
Hubert86
Ouvrier
29 Novembre 2017
416
affirm, c'est également ce que j'utilise, un uno, le shield, grbl V0.9 et on fait de l'usinage sans pbl, mais ça permet déja de s'initier, en cherchant un peu, ce que poste JPBbricole est facilement trouvable sur internet.
hum, cherche et tu trouveras
 
unimat sl
Nouveau
13 Décembre 2016
6
Pontault Combault
me revoici.
jpbricole écrit: as-tu installé le post-processeur? vu l'image que tu présente, il me semble que c'est la version cambam +.
la v8 que j'utilise est comme ceci:
335935-f6ef66081649d2f1d88c1ae2eef8767d.jpg

je vais regarder les propositions de silvood qui donnent des pistes. je ne suis pas informaticien, qu'en pensez vous?
il faut dire que les propositions de jpbricole et Hubert86 sont peut être la solution .
A bientôt, on continue .
 
Fichiers joints
La dernière réponse à ce sujet date de plus de 6 mois
Haut